diff -urN Original_4.4.4_r1/frameworks/native/services/sensorservice/SensorService.h AndroidSource/frameworks/native/services/sensorservice/SensorService.h
--- Original_4.4.4_r1/frameworks/native/services/sensorservice/SensorService.h	2016-01-29 15:12:35.523488000 +0900
+++ AndroidSource/frameworks/native/services/sensorservice/SensorService.h	2016-06-23 20:07:05.000000000 +0900
@@ -142,6 +142,9 @@
     void cleanupAutoDisabledSensor(const sp<SensorEventConnection>& connection,
             sensors_event_t const* buffer, const int count);
 
+    // ADDED BY JAEHUN
+    //void sendTestEvent(sensors_event_t* buffer, size_t count);
+
     // constants
     Vector<Sensor> mSensorList;
     Vector<Sensor> mUserSensorListDebug;
@@ -151,6 +154,9 @@
     status_t mInitCheck;
     size_t mSocketBufferSize;
 
+    // ADDED BY JH
+    bool mServerOn;
+
     // protected by mLock
     mutable Mutex mLock;
     DefaultKeyedVector<int, SensorRecord*> mActiveSensors;
@@ -167,6 +173,10 @@
     status_t disable(const sp<SensorEventConnection>& connection, int handle);
     status_t setEventRate(const sp<SensorEventConnection>& connection, int handle, nsecs_t ns);
     status_t flushSensor(const sp<SensorEventConnection>& connection, int handle);
+
+    // ADDED FOR COLLABOROID
+    void sendRemoteEvent(int32_t type, int32_t sensor, float* data, int8_t status, int64_t timestamp, int32_t sourcedevice);
+    void setServerOn(bool flag);
 };
 
 // ---------------------------------------------------------------------------
